# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInvalidateDupBoundary

Function

Invalidates all but one of the positions shared between partitions in a Composite Field.

Syntax
`
#include <dx/dx.h>
`

Object DXInvalidateDupBoundary(Object object)

Functional Details

In a Composite Field, positions (and any position-dependent component entries) along a common boundary are shared between partitions. Unless this duplication is taken into account, certain operations (e.g., calculations of statistics or the number of points in a Field) may produce incorrect results. This routine invalidates all but one of the duplicated positions.

Return Value Returns the input Object with the duplicate positions invalidated or returns NULL and sets an error code.

See Also

`DXCull`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]